@import "../../colors.scss";

.main {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
}

.box {
  background-color: $secondary;
  padding: 2rem;
  box-shadow: 0 0 10px 1px rgba($color: #000000, $alpha: 0.25);
  position: relative;
  overflow: hidden;
  min-width: 350px;

  &::after {
    content: "";
    display: block;
    position: absolute;
    width: 50%;
    height: 2px;
    background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, $green 50%);
    opacity: 0.35;
    top: 0;
    left: -100%;
    animation: moveLine infinite 3s ease-in-out;
  }

  @keyframes moveLine {
    from {
      left: -100%;
    }

    to {
      left: 100%;
    }
  }

  h3 {
    text-align: center;
    font-weight: normal;
    margin-bottom: 1rem;
  }

  .boxInputs {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
  }
}

.logo {
  color: $green;
  font-weight: normal;
  font-family: "JetBrainsMono-Bold";
  font-size: 2rem;
  margin-bottom: 1rem;
  text-align: center;
}

.boxBottom {
  margin-top: 2rem;
  display: flex;
  justify-content: space-between;
  gap: 5rem;

  & > div {
    p {
      color: $white;
      opacity: 0.5;
    }
    font-size: 0.85rem;

    a {
      display: inline-block;
      background-color: transparent;
      border: none;
      outline: none;
      cursor: pointer;
      color: $white;
      font-size: inherit;
      font-family: inherit;
      text-decoration: none;
      margin-top: 5px;

      &:hover {
        text-decoration: underline;
      }
    }
  }

  & > button {
    padding: 0.65rem 2rem;
    border: none;
    font-size: 1rem;
    cursor: pointer;
    font-family: inherit;
    transition: 0.3s;
    border: 2px solid $green;
    position: relative;
    color: $green;
    background-color: transparent;

    &:hover {
      background-color: $green;
      color: $primary;
    }
  }
}

.serverError {
  margin-top: 10px;
  text-align: center;
  color: $red;
}
